Bug 42353 - RFE: Replace sysV-init with rcorder
Summary: RFE: Replace sysV-init with rcorder
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-25 22:46 UTC by lars
Modified: 2014-03-17 02:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 20:38:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux port of rcorder (16.22 KB, application/octet-stream)
2001-05-25 22:48 UTC, lars
no flags Details

Description lars 2001-05-25 22:46:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.3-XFS-3 i686; en-US; rv:0.9+)
Gecko/20010520

Description of problem:
NetBSD uses a script called "rcorder" to dynamically order the rc*.d
startup scripts.  Scripts specify RPM-like dependencies (REQUIRES:,
PROVIDES:), and rcorder automatically orders the scripts such that all the
dependencies are satisfied.

When shutting down, you just reverse the list.

This is far more elegant than manually ordering things based on filenames
(S00, S11, S14, ...).

Obviously, there are several tools that would need to be dropped or
modified to work with the new scheme (/etc/rc, chkconfig, GUI config
tools), but I think the elegance and flexability would be a big win.

If you don't feel like grabbing NetBSD to look at this, I've ported it to
linux.  You can find my port at:

  http://www.larsshack.org/dist/rcorder/rcorder-current.tar.gz

The archive includes a spec file.


How reproducible:
Always

Steps to Reproduce:

Grab the tar archive, build, run...

Additional info:

The tar archive includes a copy /etc/rc.d from a NetBSD system for
demonstration purposes.

Comment 1 lars 2001-05-25 22:48:02 UTC
Created attachment 19690 [details]
linux port of rcorder

Comment 2 Need Real Name 2003-05-28 00:59:21 UTC
FreeBSD recently adopted this as well.   The nice thing about dependency-ordered
startup is that you can do a number of things in parallel and get your system up
quicker.

http://www.bsdforums.org/forums/showthread.php?threadid=9412

I'm thinking about getting the linux port up and running locally - it would be
awesome if RedHat could adopt this system.

Comment 3 Bill Nottingham 2003-05-28 02:19:59 UTC
In some informal testing here, the startup time was so overwhelmingly dependent
on disk access that parallelization didn't really help much.

Comment 4 Bill Nottingham 2005-02-22 20:38:54 UTC
Closing out bugs on older, no longer supported releases.

It's highly unlikely that a straight switch to rcorder will ever be done.


Note You need to log in before you can comment on or make changes to this bug.